Loading...
Searching...
No Matches
icu::UMemory Class Reference

UMemory is the common ICU base class. More...

`#include <uobject.h>`

Inheritance diagram for icu::UMemory:

## Detailed Description

UMemory is the common ICU base class.

All other ICU C++ classes are derived from UMemory (starting with ICU 2.4).

This is primarily to make it possible and simple to override the C++ memory management by adding new/delete operators to this base class.

To override ALL ICU memory management, including that from plain C code, replace the allocation functions declared in cmemory.h

UMemory does not contain any virtual functions. Common "boilerplate" functions are defined in UObject.

Stable
  ICU 2.4

Definition at line 115 of file uobject.h.

The documentation for this class was generated from the following file:

- common/unicode/uobject.h